.btn {
  border-radius: 2px; }
  .btn:active, .btn:focus, .btn:hover {
    color: #fff; }

.btn-common, .btnlogin, .btn-login, .btn-microsoft-signin, .btn-panel, .btn-large, .help-modal-btn {
  position: relative;
  display: block;
  overflow: hidden;
  border-width: 0;
  outline: none;
  border-radius: 2px;
  -ms-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.6);
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.6);
  color: #fff;
  transition: background-color .5s;
  font-weight: 500;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  color: #fff; }

.btnlogin, .btn-login, .btn-microsoft-signin {
  padding: 10px 50px;
  font-size: 16px; }

.btn-panel {
  width: 100%;
  font-size: 16px;
  background-color: #2196f3;
  padding: 10px 20px; }

.btnnormal, .btn-blue, .btn-continue, .btn-grey, .flight-cancel, .dark-btn, .btn-delete {
  padding: 10px 20px;
  font-size: 14px;
  color: #fff; }

.btn-login {
  background-color: #2196f3;
  padding: 0px;
  width: 200px;
  font-size: 14px;
  height: 33px;
  border-radius: 2%; }

.btn-microsoft-signin {
  background-color: white;
  color: #0a0a0a;
  padding: 0px;
  font-size: 14px;
  width: 200px;
  margin-top: 20px;
  height: 33px;
  border-radius: 2%; }

.btn-large {
  background-color: #2196f3;
  padding: 10px 50px; }

.btn-large:hover,
.btn-large:focus {
  color: #fff; }

.btn-login:hover,
.btn-login:focus {
  background-color: #1976d2;
  color: #fff; }

.btn-blue, .btn-continue {
  background-color: #2196f3; }

.btn-grey {
  background-color: #8299a5; }

.help-modal-btn {
  background-color: #2196f3;
  padding: 10px 20px;
  text-transform: none;
  font-weight: 100; }

.help-modal-btn:hover,
.help-modal-btn:focus {
  background-color: #1976d2; }

.flight-cancel {
  background-color: #ef1616;
  text-transform: uppercase;
  font-weight: 500;
  float: right;
  /*width: 100%;*/ }
  .flight-cancel:hover {
    color: #fff;
    outline: none; }
  .flight-cancel:focus {
    color: #fff;
    outline: none; }

.dark-btn, .btn-delete {
  width: 100%;
  text-transform: uppercase;
  background-color: #264250;
  font-weight: 500;
  font-size: 12px;
  padding: 6px 15px; }
  .dark-btn:hover, .btn-delete:hover {
    color: #fff;
    outline: none; }
  .dark-btn:focus, .btn-delete:focus {
    color: #fff;
    outline: none; }

.clear-pattern {
  color: #747779;
  margin-right: 15px;
  background: none; }
  .clear-pattern img {
    margin-right: 5px; }
  .clear-pattern span {
    display: inline-block;
    border-bottom: 1px solid #dbdcdc; }

.clear-pattern:focus,
.clear-pattern:hover {
  outline: none !important;
  box-shadow: none; }

.btn-delete {
  padding: 5px 20px;
  font-size: 14px;
  width: unset;
  letter-spacing: 1px;
  -ms-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.3);
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.3); }

.btn-continue {
  padding: 5px 20px;
  font-size: 14px;
  width: unset;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 1px; }
  .btn-continue:hover {
    color: #fff; }
  .btn-continue:focus {
    color: #fff; }

.fileUpload {
  overflow: hidden;
  margin: 10px 0px;
  position: absolute;
  width: 100%;
  top: 27px; }

.fileUpload input.upload {
  position: absolute;
  height: 40px;
  top: 0;
  right: 0;
  margin: 0;
  padding: 0;
  font-size: 20px;
  cursor: pointer;
  opacity: 0;
  filter: alpha(opacity=0); }

.save-btn, .tertiary-btn {
  text-transform: uppercase;
  background-color: #2196f3;
  border: none;
  padding: 6px 30px;
  letter-spacing: 1px;
  font-weight: 500;
  color: #fff;
  -ms-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26); }
  .save-btn.add-btn, .add-btn.tertiary-btn {
    padding: 6px 20px; }
    .save-btn.add-btn i, .add-btn.tertiary-btn i {
      vertical-align: bottom;
      font-size: 20px;
      margin-right: 5px; }
  .save-btn.btn-no-shadow, .btn-no-shadow.tertiary-btn {
    box-shadow: none; }

.save-btn:hover, .tertiary-btn:hover,
.save-btn:focus,
.tertiary-btn:focus {
  color: #fff; }

.btn-cancel {
  text-transform: uppercase;
  background-color: #ededed;
  border: none;
  padding: 6px 30px;
  letter-spacing: 1px;
  font-weight: 500;
  color: #3c3c3c; }
  .btn-cancel.btn-shadow {
    -ms-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26); }
  .btn-cancel.btn-no-shadow {
    box-shadow: none; }

.btn-cancel:hover,
.btn-cancel:focus {
  color: #3c3c3c; }

.small-btn {
  font-size: 0.9rem;
  background-color: #2196f3;
  text-transform: none;
  letter-spacing: 0.3px;
  font-weight: 300;
  padding: 7px 15px; }
  .small-btn i {
    color: #fff;
    vertical-align: middle;
    font-size: 18px;
    top: -2px;
    position: relative; }

.btn.active.focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn:active:focus,
.btn:focus {
  outline: none; }

.btn.btn-blue.btn-big, .btn.btn-big.btn-continue {
  padding-left: 95px;
  padding-right: 107px; }

.tertiary-btn {
  background-color: #797777; }
